Addons#
GET /api/addons#
ListAddons
Response 200 — Request fulfilled, document follows
Model: array of AddonSchema
Type: array of AddonSchema
POST /api/addons#
CreateAddon
Request body
Model: AddonCreate
Field |
Type |
Required |
Description |
|---|---|---|---|
|
string |
yes |
|
|
string |
yes |
|
|
string |
yes |
|
|
string |
yes |
|
|
string |
yes |
|
|
string | null |
no |
|
|
no |
Response 201 — Document created, URL follows
Model: AddonSchema
Field |
Type |
Required |
Description |
|---|---|---|---|
|
string (uuid) |
yes |
|
|
string |
yes |
|
|
string |
yes |
|
|
string |
yes |
|
|
string |
yes |
|
|
string |
yes |
|
|
string | null |
yes |
|
|
no |
||
|
string (date-time) |
yes |
DELETE /api/addons/{addon_id}#
DeleteAddon
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
|
path |
string (uuid) |
yes |
Response 204 — Request fulfilled, nothing follows
PATCH /api/addons/{addon_id}#
UpdateAddon
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
|
path |
string (uuid) |
yes |
Request body
Model: AddonUpdate
Field |
Type |
Required |
Description |
|---|---|---|---|
|
string | null |
no |
|
|
string | null |
no |
|
|
string | null |
no |
|
|
string | null |
no |
|
|
string | null |
no |
|
|
AddonOrigin | null |
no |
Response 200 — Request fulfilled, document follows
Model: AddonSchema
Field |
Type |
Required |
Description |
|---|---|---|---|
|
string (uuid) |
yes |
|
|
string |
yes |
|
|
string |
yes |
|
|
string |
yes |
|
|
string |
yes |
|
|
string |
yes |
|
|
string | null |
yes |
|
|
no |
||
|
string (date-time) |
yes |